const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const faq_items = sequelize.define(
    'faq_items',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

question: {
        type: DataTypes.TEXT,
      
      

      },

answer: {
        type: DataTypes.TEXT,
      
      

      },

faq_category: {
        type: DataTypes.ENUM,
      
      

        values: [

"shipping",


"returns",


"custom_orders",


"products",


"payments",


"other"

        ],

      },

is_published: {
        type: DataTypes.BOOLEAN,
      
        allowNull: false,
        defaultValue: false,
      
      

      },

sort_order: {
        type: DataTypes.INTEGER,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  faq_items.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity




























//end loop






    db.faq_items.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.faq_items.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return faq_items;
};


